Name:             irsim
Version:          9.7.68
Release:          alt1_7
Summary:          Switch-level simulator used even for VLSI

License:          GPLv2
Group:            Engineering
URL:              http://opencircuitdesign.com/%{name}

Source0:          http://opencircuitdesign.com/%{name}/archive/%{name}-%{version}.tgz
Source1:          README.fedora
Source2:          screenshot1.png
Source3:          screenshot2.png

BuildRequires:    tk-devel m4 libXt-devel
Source44: import.info

%description
IRSIM is a tool for simulating digital circuits. It is a "switch-level"
simulator; that is, it treats transistors as ideal switches. Extracted
capacitance and lumped resistance values are used to make the switch a little
bit more realistic than the ideal, using the RC time constants to predict the
relative timing of events.

%prep
# tarball includes unneeded symlink, so we firstly
# create a directory and expand tarball there.
%setup -q -T -c %{name}-%{version} -a 0

cd %{name}-%{version}
%{__sed} -i.cflags -e 's|CFLAGS=.*CFLAGS|:|' configure

%{__sed} -i 's|magic-hackers@csl.cornell.edu|http://bugzilla.redhat.com|' scripts/configure

%build
cd %{name}-%{version}
%configure

%{__make} %{?_smp_mflags}

%install

cd %{name}-%{version}
%{__make} install \
    DESTDIR=%{buildroot} \
    INSTALL="%{__install} -c -p" \
    CP="%{__cp} -p"

%{__cp} -p doc/faultsim/fsim.ps ..

%{__mv} %{buildroot}%{_libdir}/%{name}/doc/powerEst.doc ..

# remove duplicates
%{__rm} -rf %{buildroot}%{_libdir}/%{name}/doc/

# applying timestamps
%{__cp} -p README VERSION COPYRIGHT ..
%{__cp} -p %{SOURCE1} %{SOURCE2} %{SOURCE3} ..

%files
%doc COPYRIGHT README VERSION powerEst.doc fsim.ps README.fedora screenshot*
%{_bindir}/*
%{_libdir}/%{name}/
%{_mandir}/man1/%{name}*
%{_mandir}/man5/netchange.5*
%{_mandir}/man3/%{name}-analyzer.3*


%Changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 9.7.68-alt1_7
- update to new release by fcimport

* Mon Jan 21 2013 Igor Vlasenko <viy@altlinux.ru> 9.7.68-alt1_6
- initial fc import

